com.io7m.jtensors.storage.bytebuffered

## Interface VectorByteBufferedType

- All Superinterfaces:
    TensorByteBufferedType
  All Known Subinterfaces:
    PVectorByteBufferedFloating2Type<T>, PVectorByteBufferedFloating3Type<T>, PVectorByteBufferedFloating4Type<T>, PVectorByteBufferedIntegral2Type<T>, PVectorByteBufferedIntegral3Type<T>, PVectorByteBufferedIntegral4Type<T>, VectorByteBufferedFloating2Type, VectorByteBufferedFloating3Type, VectorByteBufferedFloating4Type, VectorByteBufferedIntegral2Type, VectorByteBufferedIntegral3Type, VectorByteBufferedIntegral4Type
  All Known Implementing Classes:
    PVectorByteBufferedFloating2s16, PVectorByteBufferedFloating2s32, PVectorByteBufferedFloating2s64, PVectorByteBufferedFloating3s16, PVectorByteBufferedFloating3s32, PVectorByteBufferedFloating3s64, PVectorByteBufferedFloating4s16, PVectorByteBufferedFloating4s32, PVectorByteBufferedFloating4s64, PVectorByteBufferedIntegral2s16, PVectorByteBufferedIntegral2s32, PVectorByteBufferedIntegral2s64, PVectorByteBufferedIntegral2s8, PVectorByteBufferedIntegral3s16, PVectorByteBufferedIntegral3s32, PVectorByteBufferedIntegral3s64, PVectorByteBufferedIntegral3s8, PVectorByteBufferedIntegral4s16, PVectorByteBufferedIntegral4s32, PVectorByteBufferedIntegral4s64, PVectorByteBufferedIntegral4s8, VectorByteBufferedFloating2s16, VectorByteBufferedFloating2s32, VectorByteBufferedFloating2s64, VectorByteBufferedFloating3s16, VectorByteBufferedFloating3s32, VectorByteBufferedFloating3s64, VectorByteBufferedFloating4s16, VectorByteBufferedFloating4s32, VectorByteBufferedFloating4s64, VectorByteBufferedIntegral2s16, VectorByteBufferedIntegral2s32, VectorByteBufferedIntegral2s64, VectorByteBufferedIntegral2s8, VectorByteBufferedIntegral3s16, VectorByteBufferedIntegral3s32, VectorByteBufferedIntegral3s64, VectorByteBufferedIntegral3s8, VectorByteBufferedIntegral4s16, VectorByteBufferedIntegral4s32, VectorByteBufferedIntegral4s64, VectorByteBufferedIntegral4s8

      public interface VectorByteBufferedType
      extends TensorByteBufferedType

  The type of vectors backed by a byte buffer.

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.jtensors.storage.bytebuffered.TensorByteBufferedType

      `byteBuffer, byteOffset, offset, sizeBytes`

Copyright © 2017 <code@io7m.com> http://io7m.com